package com.glxp.mipsdl.req.drugMachine;

import lombok.Data;

import java.sql.Date;

@Data
public class PutGoodsA001Request {

        /**
         * 是必要参数
         * 记录号
         */
        private String orderId;

        /**
         * 是必要参数
         * 产品编码
         */
        private String productCode;

        /**
         * 是必要参数
         * 产品通用名称
         */
        private String productName;

        /**
         * 是必要参数
         * 上货时间
         */
        private Date putTime;

        /**
         * 是必要参数
         * 数量
         */
        private Integer count;

        /**
         * 包装规格（可选）
         */
        private String bzgg;

        /**
         * 计量单位（可选）
         */
        private String unit;

        /**
         * 批准文号（可选）
         */
        private String approvalNum;

        /**
         * 制剂单位（可选）
         */
        private String prepnUnit;

        /**
         * 制剂规格（可选）
         */
        private String prepnSpec;

        /**
         * 备用字段1（可选）
         */
        private String remark1;

        /**
         * 备用字段2（可选）
         */
        private String remark2;

        /**
         * 备用字段3（可选）
         */
        private String remark3;

        /**
         * 备用字段4（可选）
         */
        private String remark4;

        /**
         * 备用字段5（可选）
         */
        private String remark5;
}
